LibreOffice: XConnectionListener Interface Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XConnectionListener Interface Reference

The listener interface for connection events. More...

`import"XConnectionListener.idl";`

Inheritance diagram for XConnectionListener:

## Public Member Functions
void | connected ([in] com::sun::star::lang::EventObject aEvent)
| Invoked when the connection to the mail server is established. More...
void | disconnected ([in] com::sun::star::lang::EventObject aEvent)
| Invoked when the connection to the mail server is closed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The listener interface for connection events.

See also
  com::sun::star::mail::XMailService

Since
  OOo 2.0

## Member Function Documentation

void connected | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

Invoked when the connection to the mail server is established.

Parameters

  aEvent | [in] specific information regarding this event.

See also
  com::sun::star::lang::EventObject

void disconnected | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

Invoked when the connection to the mail server is closed.

Parameters

  aEvent | [in] specific information regarding this event.

See also
  com::sun::star::lang::EventObject

The documentation for this interface was generated from the following file:

- com/sun/star/mail/XConnectionListener.idl